<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>Variable (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Variable (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Switch.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/While.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/Variable.html" target="_top">Frames</a></li>
<li><a href="Variable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.expression.runtime</div>
<h2 title="Class Variable" class="title">Class Variable</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">com.sk89q.worldedit.internal.expression.runtime.Node</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.internal.expression.runtime.Variable</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>, <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Variable</span>
extends <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a>
implements <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></pre>
<div class="block">A variable.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#value">value</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#Variable-double-">Variable</a></span>(double&nbsp;value)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#assign-double-">assign</a></span>(double&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/Expression.html" title="class in com.sk89q.worldedit.internal.expression">Expression</a>&nbsp;expression,
             boolean&nbsp;preferLValue)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#getValue--">getValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#id--">id</a></span>()</code>
<div class="block">Returns a character that helps identify the token, pseudo-token or invokable in question.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#optimize--">optimize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.internal.expression.runtime.Node">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.internal.expression.runtime.<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#getPosition--">getPosition</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.internal.expression.Identifiable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.internal.expression.<a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#getPosition--">getPosition</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="value">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>value</h4>
<pre>public&nbsp;double value</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Variable-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Variable</h4>
<pre>public&nbsp;Variable(double&nbsp;value)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;double&nbsp;getValue()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#getValue--">getValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>public&nbsp;char&nbsp;id()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#id--">Identifiable</a></code></span></div>
<div class="block">Returns a character that helps identify the token, pseudo-token or invokable in question.

 <pre>
 Tokens:
 i - IdentifierToken
 0 - NumberToken
 o - OperatorToken
 \0 - NullToken
 CharacterTokens are returned literally

 PseudoTokens:
 p - UnaryOperator
 V - UnboundVariable

 Nodes:
 c - Constant
 v - Variable
 f - Function
 l - LValueFunction
 s - Sequence
 I - Conditional
 w - While
 F - For
 r - Return
 b - Break (includes continue)
 S - SimpleFor
 C - Switch
 </pre></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#id--">id</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html" title="interface in com.sk89q.worldedit.internal.expression">Identifiable</a></code></dd>
</dl>
</li>
</ul>
<a name="assign-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assign</h4>
<pre>public&nbsp;double&nbsp;assign(double&nbsp;value)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html#assign-double-">assign</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></code></dd>
</dl>
</li>
</ul>
<a name="optimize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>optimize</h4>
<pre>public&nbsp;<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;optimize()
                throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html#optimize--">optimize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#optimize--">optimize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#optimize--">optimize</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bindVariables</h4>
<pre>public&nbsp;<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;bindVariables(<a href="../../../../../../com/sk89q/worldedit/internal/expression/Expression.html" title="class in com.sk89q.worldedit.internal.expression">Expression</a>&nbsp;expression,
                            boolean&nbsp;preferLValue)
                     throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/ParserException.html" title="class in com.sk89q.worldedit.internal.expression.parser">ParserException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html#bindVariables-com.sk89q.worldedit.internal.expression.Expression-boolean-">bindVariables</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/ParserException.html" title="class in com.sk89q.worldedit.internal.expression.parser">ParserException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Switch.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/While.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/Variable.html" target="_top">Frames</a></li>
<li><a href="Variable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
